<template lang="pug">
div
	q-breadcrumbs(gutter="sm").q-mb-lg
		q-breadcrumbs-el(icon="home" to="/")
		q-breadcrumbs-el(label="Кухня" to="/kitchen")
		q-breadcrumbs-el(label="Меню")

	.inner
		table-kitchen-menu

</template>

<script lang="ts">
	import { defineComponent, onMounted } from 'vue'
	import TableKitchenMenu from '@/pages/kitchen/children/menu/TableKitchenMenu.vue'
	import { useKitchenMenuStore } from '@/pages/kitchen/children/menu/store'
	export default defineComponent({
		name: 'PageKitchenMenu',

		components: {
			TableKitchenMenu,
		},

		setup() {
			const store = useKitchenMenuStore()

			onMounted(() => {
				store.$reset()
			})
		},
	})
</script>
